#
# Conditional build:
%bcond_without	tests	# unit tests

%define		pdir	HTML
%define		pnam	Parser
Summary:	HTML::Parser - parsing and extracting information from HTML documents
Summary(cs.UTF-8):	HTML::Parser - modul pro parsování HTML v Perlu
Summary(pl.UTF-8):	HTML::Parser - analiza i wyciąganie informacji z dokumentów HTML
Summary(ru.UTF-8):	HTML::Parser - набор модулей для "разбора" HTML-документов
Summary(uk.UTF-8):	HTML::Parser - набір модулів для розбору HTML-документів
Summary(zh_CN.UTF-8):	Perl 的 HTML 解析器模块。
Name:		perl-HTML-Parser
Version:	3.76
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/modules/by-module/HTML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	60e266d5a07fbea671a0383dd8af7b6c
URL:		https://metacpan.org/release/HTML-Tagset
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.52
BuildRequires:	perl-HTML-Tagset >= 3
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-URI
BuildRequires:	perl-libwww
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildConflicts:	perl-HTML-Stream = 1.45-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# HTTP::Headers (perl-libwww) is not always required
%define		_noautoreq	perl(HTTP::Headers)

%description
Perl module HTML::Parser that allows to parse and extract information
from HTML documents.

%description -l cs.UTF-8
Balíček perl-HTML-Parser obsahuje modul pro Perl, který slouží k
parsování a extrahování informací z HTML dokumentu.

%description -l da.UTF-8
HTML::Parser modul til Perl for at tolka og extrahere information fra
HTML-dokument.

%description -l de.UTF-8
HTML::Parser modul für Perl zum Parsen und Extrahieren von
Informationen aus HTML-Dokumenten.

%description -l es.UTF-8
Módulo HTML::Parser para perl para analizar y extraer información a
partir de documentos HTML.

%description -l fr.UTF-8
Module HTML::Parser pour perl permettant d'analyser et d'extraire des
informations de documents HTML.

%description -l it.UTF-8
Il modulo HTML::Parser per perl, che consente di analizzare documenti
HTML e di estrarne informazioni.

%description -l ja.UTF-8
HTML ドキュメントから情報を解析、抽出するための Perl 用の HTML::Parser 。

%description -l ko.UTF-8
HTML::Parser 모줄은 펄이 HTML 문서들로 부터 정보를 파싱하고 가져오게끔 합니다.

%description -l pl.UTF-8
Moduł Perla HTML::Parser pozwalający na parsowanie i wyciąganie
informacji z dokumentu HTML.

%description -l pt_BR.UTF-8
Módulo Perl HTML::Parser - Uma coleção de módulos para examinar e
extrair informações de documentos HTML.

%description -l ru.UTF-8
HTML::Parser - набор модулей для "разбора" HTML-документов.

%description -l uk.UTF-8
HTML::Parser - набір модулів для розбору HTML-документів.

%description -l pt.UTF-8
O módulo HTML::Parser para o Perl analisar e extrair informações de
documentos HTML.

%description -l sv.UTF-8
HTML::Parser modul till perl för att tolka och extrahera information
från HTML-dokument.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	DEFINE="-DMARKED_SECTION -DUNICODE_ENTITIES" \
	< /dev/null
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes TODO
%{perl_vendorarch}/HTML/Entities.pm
%{perl_vendorarch}/HTML/Filter.pm
%{perl_vendorarch}/HTML/HeadParser.pm
%{perl_vendorarch}/HTML/LinkExtor.pm
%{perl_vendorarch}/HTML/Parser.pm
%{perl_vendorarch}/HTML/PullParser.pm
%{perl_vendorarch}/HTML/TokeParser.pm
%dir %{perl_vendorarch}/auto/HTML/Parser
%attr(755,root,root) %{perl_vendorarch}/auto/HTML/Parser/Parser.so
%{_mandir}/man3/HTML::Entities.3pm*
%{_mandir}/man3/HTML::Filter.3pm*
%{_mandir}/man3/HTML::HeadParser.3pm*
%{_mandir}/man3/HTML::LinkExtor.3pm*
%{_mandir}/man3/HTML::Parser.3pm*
%{_mandir}/man3/HTML::PullParser.3pm*
%{_mandir}/man3/HTML::TokeParser.3pm*
%changelog
* Fri May 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-HTML-Parser.git;a=log;h=master

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> e87e84b
- rebuild with perl 5.32

* Sun Mar 07 2021 Jan Palus <atler@pld-linux.org> b1e42c6
- up to 3.76

* Thu Oct 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 20cfcc2
- updated dependencies, dropped README (copy of man page)

* Tue Sep 08 2020 Jan Palus <atler@pld-linux.org> 328c9ab
- up to 3.75

* Sat Aug 29 2020 Jan Palus <atler@pld-linux.org> 76fbd35
- up to 3.73

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> f4063cd
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 1bb6b05
- rebuild with perl 5.30.0
- release 5 (by relup.sh)

* Sat Aug 25 2018 Marcin Krol <hawk@tld-linux.org> bf04716
- release 4

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> f93cd8e
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> c523ee9
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Tue Nov 08 2016 Jakub Bogusz <qboosh@pld-linux.org> b8639be
- updated to 3.72

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> cc159c0
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 2dba82c
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> fe80ff0
- x32 rebuild
- release 5 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 3c1813f
- x32 rebuild
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> a28c295
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2b4ef6d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 7bc6831
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Tue Jun 18 2013 Jakub Bogusz <qboosh@pld-linux.org> ec8e40c
- updated to 3.71

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> bfa2c80
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

